<template>
  <div class="the-loader">
    <svg class="circular" viewBox="25 25 50 50">
      <circle
        class="path"
        cx="50"
        cy="50"
        r="20"
        fill="none"
        stroke-width="5"
        stroke-miterlimit="10"
      />
    </svg>
    <span class="progress">{{ progress }}%</span>
  </div>
</template>

<script>
export default {
  name: 'TheLoader',
  props: {
    progress: {
      type: Number,
      default: 0
    }
  }
}
</script>

<style lang="less" scoped>
.the-loader {
  display: flex;
  .circular {
    animation: spinner-rotate 5332ms cubic-bezier(0.4, 0, 0.2, 1) infinite both;
    height: 24px;
    width: 24px;
    margin-right: 6px;
    margin-top: 2px;
  }

  .path {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
    animation: dash 1.5s ease-in-out infinite;
    stroke-linecap: round;
    stroke: #fff;
  }
}

.progress {
  font-weight: 700;
  color: #fff;
}
</style>
